cls
echo 开发本功能区，只是为了给部分人，提供一些日常的救砖卡刷包，刷入方式跟刷ROM包和模块一样
echo.
echo.
echo 此卡刷包均可在TWRP ^& Magisk Manger ^& Magisk专区刷入
echo.
echo.
echo 资源版本：1.0
echo.
echo.
echo.


:Brush_in
    echo - 请选择您的设备状态
    echo.
    set gn=
    echo - 1.rec/TWRP模式下        2.系统/ADB Sideload模式下        3.FASTBOOT模式下
    echo.
    echo.
    set /p gn=%t2%
    if "!gn!"=="1" ( goto lebal )
    
    echo - 如果无法自动重启到rec/TWRP模式请手动进入
    if "!gn!"=="2" (
        echo - 开始重启到rec/TWRP
        call bat\a4.bat
        goto lebal
    )
    
    if "!gn!"=="3" (
        set gn=
        echo - 3.使用方法①进入       4.使用方法②进入
        echo.
        echo.
        set /p gn=%t2%
        if "!gn!"=="4" ( call bat\f4.bat ) else ( call bat\f3.bat )
        goto lebal
    )
        goto Brush_in


:lebal
    %tishi2%

    echo.
    echo.
    echo 0.回到主菜单
    echo 1.恢复默认dpi            2.恢复默认分辨率        3.恢复已冻结应用        4.禁用所有Magisk模块
    echo 5.删除Riru和EDXposed     6.删除Riru和LSPosed     7.删除system包名缓存
    set gn=
    echo.
    echo.
    set /p gn=%t2%
    if "%gn%"=="0" ( main )
    
    %awfr%
        adb shell sh %dir%/ctf.sh %dir%/Card_Brush_Bag/%gn%.zip
            if "%errorlevel%"=="0" (
                adb shell twrp install %dir%/Card_Brush_Bag/%gn%.zip
            ) else (
                cls
                %error% 输入错误，请重新输入
                goto lebal
            )
